apiVersion: apps/v1
kind: Deployment
metadata:
  name: example-app
spec:
  replicas: 1
  template:
    metadata:
      name: example-app
    spec:
      containers:
        - name: example-app
          image: demo
          imagePullPolicy: IfNotPresent
      restartPolicy: Always
  selector:
    matchLabels: {}
